#include "tmy3.c"

int geny3(int k, double *y, double *GOmega, double *GAZ, double *phi, double mu, double *LY, double psx, double VAR)
{
	int i;
	long random;
	double rat1, rat2, ratio, u, var, newy;

	u=phi[1];
	
	for (i=1; i<NX; i++)
		u+=phi[2+i]*GAZ[i];
	
	u=exp(u);
	
	var=1.0/psx+u*phi[2]*phi[2]/((1+u)*(1+u));
	var/=VAR;

	random=rand();
	newy=*y+gasdev(&random)/sqrt(var);

	rat1=tmy3(k, *y, GOmega, GAZ, mu, LY, psx, phi);
	rat2=tmy3(k, newy, GOmega, GAZ, mu, LY, psx, phi);

	ratio=exp(rat1-rat2);
	
	random=rand();
	var=ran2(&random);
	
	if (var<=ratio) {
		*y=newy;
		i=1;
	}
	else
		i=0;
		
	return i;
}

