#include "genorder.c"

void permutation(double ***MU, double ***PA)
{
	int i, k, zc, index;
	int *Order, *NRef;
	double **NPA;

	Order=ivector(1, NC2);
	NRef=ivector(1, NC2);
	NPA=matrix(1, NC2, 1, NP2);

	for (k=1; k<=2; k++) {
		for (zc=1; zc<NC[k]; zc++) {
			for (i=1; i<NP[k]; i++)
				NPA[zc][i]=PA[k][zc][i];
			
			NRef[zc]=RefCate[k][zc];
		}

		genorder(MU[k], Order, NC[k], POS[k]);

		for (zc=1; zc<NC[k]; zc++) {
			index=Order[zc];
			for (i=1; i<NP[k]; i++)
				PA[k][zc][i]=NPA[index][i];
			
			RefCate[k][zc]=NRef[index];
		}
	}
	
	free_ivector(Order, 1, NC2);
	free_ivector(NRef, 1, NC2);
	free_matrix(NPA, 1, NC2, 1, NP2);

	return ;
}
