#include "tly.c"

double genly(int row, int NUM, double **Omega, double mu, double *LY, double *NEYO, 
double *PLY, double var, int Row_n)
{
      int   i, j, k, m, n, mn, flag;
      long  random;
      double rat1, rat2, ratio, temp, **imaf, *diag, *XX, *PP;

      imaf=matrix(1, NK, 1, NK);
      diag=vector(1, NK);
      XX=vector(1, NK);
      PP=vector(1, NK);
      
      for (i=1; i<=Row_n; i++)
          for (j=1; j<=Row_n; j++) {
              m=CLY[row][i];
              n=CLY[row][j];
              imaf[i][j]=(i==j) ? sigly : 0;
              for (mn=1; mn<=NUM; mn++) {
                  temp=mu;
                  for (k=1; k<NK; k++)
                      temp+=LY[k]*Omega[mn][k]*(1.0-(IDY[row][k]!=0));
                  imaf[i][j]+=(bet2(temp)*Omega[mn][m]*Omega[mn][n]);
              }
              imaf[i][j]/=var;
          }
      
      iv(imaf, Row_n+1);
      
      choldc(imaf, Row_n, diag);

      for (i=1; i<=Row_n; i++)
          imaf[i][i]=diag[i];
      
      flag=1;
      
      while (flag) {
          for (i=1; i<=Row_n; i++) {
              random=rand();
              diag[i]=gasdev(&random);
          }
      
          for (i=1; i<=Row_n; i++) {
              PP[i]=LY[CLY[row][i]];
              for (j=1; j<=i; j++)
                  PP[i]+=imaf[i][j]*diag[j];
          
          }
          
          flag=0;
          
          for (i=1; i<=Row_n; i++)
              if (PP[i]<0 && IDY[row][CLY[row][i]]==2)
                  flag=1;
      }      
      
      k=1;
      for (i=1; i<NK; i++)
          if (IDY[row][i]) 
              XX[i]=PP[k++];
          else
              XX[i]=LY[i];

      rat1=tly(NUM, LY, PLY, mu, Omega, NEYO);
      rat2=tly(NUM, XX, PLY, mu, Omega, NEYO);

      ratio=exp(rat1-rat2);
      
      for (i=1; i<NK; i++)
          LY[i]=XX[i];

      free_matrix(imaf, 1, NK, 1, NK);
      free_vector(diag, 1, NK);
      free_vector(XX, 1, NK);
      free_vector(PP, 1, NK);
      
      return ratio;
}
