#include "tmu.c" 
double genmu(int NUM, double *mu, double pmu, double *LY, double **Omega, double *NEYO,
double var)
{
      int i, j;
      long random;
      double rat1, rat2, ratio, sig, temp, mmu;
      
      sig=0;
      
      for (i=1; i<=NUM; i++) {
          temp=0;
          for (j=1; j<NK; j++)
               temp+=LY[j]*Omega[i][j];
          sig+=bet2(temp);
      }
          
      sig=var/(sig+sigmu);

      random=rand();
      mmu=(*mu)+gasdev(&random)*sqrt(sig);
      
      rat1=tmu(NUM, *mu, pmu, LY, Omega, NEYO);
      rat2=tmu(NUM, mmu, pmu, LY, Omega, NEYO);
      
      *mu=mmu;
      
      ratio=exp(rat1-rat2);
      
      return ratio;
}
