#include "indexx.c"

void genorder(double **MU, int *Order, int NC, int pos)
{
	int i, j, r;
	double *mu;

	mu=vector(1, NC2);

	for (i=1; i<NC; i++)
		Order[i]=i;

	if (RAN_PER) // random permutation
		for (i=1; i<NC-1; i++) {
			r=i+rand()%(NC-i);
			j=Order[r];
			Order[r]=Order[i];
			Order[i]=j;
		}
	else {
		for (i=1; i<NC; i++)
			mu[i]=MU[i][pos];

		indexx(NC-1, mu, Order); // constraint
	}

	free_vector(mu, 1, NC2);

	return ;
}
